| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/vfsdirchange.h File Reference

Class to revert VFS directory changes upon leaving a scope. More...

`#include "iutil/vfs.h"`
`#include "csutil/csstring.h"`

Go to the source code of this file.

## Classes
class | csVfsDirectoryChanger
| Helper class to change the current VFS directory and restore the previous directory when an instance goes out of scope. More...

## Detailed Description

Class to revert VFS directory changes upon leaving a scope.

Definition in file vfsdirchange.h.